Bug 41140 - New port: audio/abcde, sh script to rip and encode CDs
Summary: New port: audio/abcde, sh script to rip and encode CDs
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: freebsd-ports (Nobody)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2002-07-30 03:50 UTC by Munish
Modified: 2002-08-06 21:59 UTC (History)
0 users

See Also:


Attachments
file.shar (2.50 KB, text/plain)
2002-07-30 03:50 UTC, Munish
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Munish 2002-07-30 03:50:01 UTC
    Add audio/abcde: Front-end sh script to encode CDs in ogg or mp3 format. Now I can finally dump ripit.pl and completely lose perl...
Comment 1 Munish 2002-07-30 06:01:55 UTC
On 2002-07-29 19:50 +0000, FreeBSD-gnats-submit@FreeBSD.org wrote:
> Thank you very much for your problem report.
> It has the internal identification `ports/41140'.
> The individual assigned to look at your
> report is: freebsd-ports. 
> 
> You can access the state of your problem report at any time
> via this link:
> 
> http://www.freebsd.org/cgi/query-pr.cgi?pr=41140
> 
> >Category:       ports
> >Responsible:    freebsd-ports
> >Synopsis:       New port: audio/abcde, sh script to rip and encode CDs
> >Arrival-Date:   Mon Jul 29 19:50:01 PDT 2002

Oops, forgot to include files/patch-abcde:

diff -ruN abcde.old/files/patch-abcde abcde/files/patch-abcde
--- abcde.old/files/patch-abcde	Wed Dec 31 19:00:00 1969
+++ abcde/files/patch-abcde	Tue Jul 30 00:54:43 2002
@@ -0,0 +1,56 @@
+--- abcde.orig	Tue Jul 30 00:44:10 2002
++++ abcde.new	Tue Jul 30 00:53:48 2002
+@@ -574,7 +574,7 @@
+ 			fi
+ 			# List out disc title/author and contents
+ 			echo ---- "$(cut '-d ' -f4- "$ABCDETEMPDIR/cddbquery")" ---- >> "$ABCDETEMPDIR/cddbchoices"
+-			for TRACK in $(seq 1 $TRACKS)
++			for TRACK in $(jot $TRACKS)
+ 			do
+ 				echo $TRACK: "$(grep ^TTITLE$(expr $TRACK - 1)= "$ABCDETEMPDIR/cddbread.1" | cut -f2- -d= | tr -d \\r\\n)" >> "$ABCDETEMPDIR/cddbchoices"
+ 			done
+@@ -590,7 +590,7 @@
+ 			$CDDBTOOL template $(cat "$ABCDETEMPDIR/discid") > "$ABCDETEMPDIR/cddbread.1"
+ 			# List out disc title/author and contents of template
+ 			echo ---- Unknown Artist / Unknown Album ---- >> "$ABCDETEMPDIR/cddbchoices"
+-			for TRACK in $(seq 1 $TRACKS)
++			for TRACK in $(jot $TRACKS)
+ 			do
+ 				echo $TRACK: "$(grep ^TTITLE$(expr $TRACK - 1)= "$ABCDETEMPDIR/cddbread.1" | cut -f2- -d= | tr -d \\r\\n)" >> "$ABCDETEMPDIR/cddbchoices"
+ 			done
+@@ -620,7 +620,7 @@
+ 				fi
+ 				# List out disc title/author and contents
+ 				echo \#$X: ---- "$DISCINFO" ---- >> "$ABCDETEMPDIR/cddbchoices"
+-				for TRACK in $(seq 1 $TRACKS)
++				for TRACK in $(jot $TRACKS)
+ 				do
+ 					echo $TRACK: "$(grep ^TTITLE$(expr $TRACK - 1)= "$ABCDETEMPDIR/cddbread.$X" | cut -f2- -d= | tr -d \\r\\n)" >> "$ABCDETEMPDIR/cddbchoices"
+ 				done
+@@ -1010,7 +1010,7 @@
+ 	if [ "$RSTART" = "$REND" ]; then 
+ 		NEWTRACKS="$RSTART"
+ 	else
+-		NEWTRACKS=$(seq -s ' ' $RSTART $REND)
++		NEWTRACKS=$(jot -s ' ' $(($REND - $RSTART + 1)) $RSTART $REND``)
+ 	fi
+ 	TRACKQUEUE=$(echo "$TRACKQUEUE" "$NEWTRACKS")
+ 
+@@ -1101,7 +1101,7 @@
+ 
+ # Make sure a buncha things exist
+ for X in $CDROMREADER $CDDISCID ${NEEDTAGGER+$TAGGER} $ENCODER $WGET \
+-	${NEEDDISTMP3+$DISTMP3} ${NEEDCOMMENTER+$VORBISCOMMENT} seq
++	${NEEDDISTMP3+$DISTMP3} ${NEEDCOMMENTER+$VORBISCOMMENT} jot
+ do
+ 	# Cut off the command-line options we just added in
+ 	X=$(echo $X | cut -d' ' -f2)
+@@ -1191,7 +1191,7 @@
+ # Figure out where each track is going to be encoded
+ ENCODELOCATIONS="$(echo $REMOTEHOSTS | tr , ' ')"
+ if [ "$MAXPROCS" != "0" ]; then
+-	for NUM in $(seq 1 "$MAXPROCS")
++	for NUM in $(jot "$MAXPROCS")
+ 	do
+ 		ENCODELOCATIONS="$ENCODELOCATIONS %local$NUM%"
+ 	done

Sorry about that.

-- 
Munish Chopra
Comment 2 Jim Mock freebsd_committer 2002-08-06 21:58:49 UTC
State Changed
From-To: open->closed

Committed, thanks!